<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="s20bCatalogoEJB.s20bCatalogoSesion_yio071_EOImpl"
    enable-call-by-reference="false"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="getValoresDeTablaBasica(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleTablaBasica(java.util.HashMap,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaDetalleTablaBasica(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoDetalleTablaBasica(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleTablaBasica(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getSubcolecciones(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleSubcoleccion(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaDetalleSubcoleccion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoDetalleSubcoleccion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleSubcoleccion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaProcesoEditorial(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListaProcesosEditoriales(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionPdteContrato(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionEnFaseEdicion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setAsignarPrecio(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getLibros(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleLibro(java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleLibroDatosBasicos(java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaDetalleLibro(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoDetalleLibro(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleLibro(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="guardarLibroGestorContenidos(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="borrarLibroGestorContenidos(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getLibroIndice(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getLibroParaDescarga(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getFormatosLibro(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getLibrosRelacionados(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionLibrosRelacionados(java.lang.String,java.util.HashSet)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionLibroDistribucion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionLibroCatalogo(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getLibrosRevistasVolumenes(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleRevistaVolumen(java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaRevistaVolumen(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionRevistaVolumen(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleFormatoLibro(java.lang.String,java.lang.String,java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaFormatoLibro(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionFormatoLibro(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoFormatoLibro(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getEntidades(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleEntidad(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleListaEntidades(java.util.HashSet)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaDetalleEntidad(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoDetalleEntidad(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleEntidad(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListaRepresentados(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleAutor(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleAutor(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setComprobacionTercero(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleDistribuidor(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleDistribuidor(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleInstitucional(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleInstitucional(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleProveedor(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleProveedor(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListaCompradores(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleSuscriptor(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleSuscriptor(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getTmpMediosProcesos(java.util.HashMap,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getSituacionProcesos(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleConfiguracionVentasParaFactura()"
    requires-transaction="true"
>
</method>
<method
    name="setAltaPedido(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleConfiguracionVentas()"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleConfigVentas(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getPedidos(java.util.HashMap,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetallePedido(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetallePedido(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setOid(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="existePartidaPresupuestaria(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getSuscripciones(java.util.HashMap,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAsociarSuscripciones(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getSuscripcionesEnvios(java.util.HashMap,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionSuscripcionesFechaEnvio(java.util.ArrayList)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaSuscripcionesSinEnvios()"
    requires-transaction="true"
>
</method>
<method
    name="getListaSuscripcionesSinEnvios()"
    requires-transaction="true"
>
</method>
<method
    name="getFacturas(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaNumeraciones(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoDetalleNumeracion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleNumeracion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getPlantillas(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetallePlantilla(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaDetallePlantilla(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoDetallePlantilla(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetallePlantilla(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetallePlantillaFactura()"
    requires-transaction="true"
>
</method>
<method
    name="getDetallePlantillaContrato()"
    requires-transaction="true"
>
</method>
<method
    name="getErroresFacturacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleErrorFacturacion(java.lang.String,java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="setAltaDetalleErrorFacturacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setBorradoDetalleErrorFacturacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setModificacionDetalleErrorFacturacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="setImportarErroresFacturacion(java.util.ArrayList)"
    requires-transaction="true"
>
</method>
<method
    name="getFacturas()"
    requires-transaction="true"
>
</method>
<method
    name="guardarFactura(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleFactura(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleFacturaW05b(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleErrorW05b(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getCartaPago(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getFichFactura(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
